Package logilab :: Package common :: Module decorators :: Class iclassmethod

[frames] | no frames]

# Class iclassmethod

source code

    object --+
             |
            iclassmethod

    Descriptor for method which should be available as class method if called
    on the class or instance method if called on an instance.

Instance Methods

__init__(self, func) x.__init__(...) initializes x; see help(type(x)) for signature | source code

__get__(self, instance, objtype) | source code

__set__(self, instance, value) | source code

Inherited from `object`: `__delattr__`, `__format__`, `__getattribute__`, `__hash__`, `__new__`, `__reduce__`, `__reduce_ex__`, `__repr__`, `__setattr__`, `__sizeof__`, `__str__`, `__subclasshook__`

Properties
Inherited from `object`: `__class__`

Method Details

### __init__(self, func)
(Constructor)

source code

x.__init__(...) initializes x; see help(type(x)) for signature

Overrides: object.__init__
  (inherited documentation)